# Generated automatically from Makefile.in by configure.
# $Id: Makefile,v 1.1.1.1 2000/03/10 16:32:23 engin Exp $

GOAL   = $(OBJS)

OBJS   = PrefixRange.Plex.o  PrefixRange.XPlex.o  SymID.Set.o  SymID.VHSet.o 

SOURCES = PrefixRange.Plex.cc PrefixRange.XPlex.cc SymID.Set.cc SymID.VHSet.cc

HFILES = PrefixRange.Plex.h  PrefixRange.XPlex.h  SymID.Set.h  SymID.VHSet.h \
	 PrefixRange.defs.h  SetOfSymID.hh SymID.defs.h prefixranges.hh \
	 std.h builtin.h Pix.h

LIBS   =

# directories
srcdir		= .
top_srcdir	= ..
INCDIRS		= -I$(srcdir) -I. -I$(top_srcdir)/src -I..  -I$(top_srcdir)/../Core 

# programs

SHELL           = /bin/sh
RANLIB          = ranlib
CC              = gcc
CXX             = c++
BISON           = bison -y
FLEX            = flex
LD              = c++
PERL            = @PERL_PATH@
INSTALL         = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_DATA    = @INSTALL_DATA@

# The default location for installation.
prefix      = /usr/local
exec_prefix = ${prefix}
bindir      = ${exec_prefix}/bin
mandir      = ${prefix}/man
man1dir     = $(mandir)/man1
man8dir     = $(mandir)/man8

DEFINES  = -DHAVE_CONFIG_H
CFLAGS   = -O3 -gstabs+
CPPFLAGS = 
LDFLAGS  = 
CXXFLAGS = -O3 -gstabs+ -frtti

.y.o:

.c.o:
	$(CC)  -c $(CPPFLAGS) $(CFLAGS) $(DEFINES) $(INCDIRS) $<

.cc.o:
	$(CXX) -c $(CPPFLAGS) $(CXXFLAGS) $(DEFINES) $(INCDIRS) $<

.SUFFIXES: .cc

#
# No need to make changes below
#
all: $(OBJS)

clean:
	rm -f core *.o *~ $(GOAL)

mostlyclean:
	rm -f core *.o *~

# make dependencies
depend:	${SOURCES}
	$(CXX) -MM $(CPPFLAGS) $(CXXFLAGS) $(DEFINES) $(INCDIRS) ${SOURCES} >makedep
	echo '/^# DO NOT DELETE THIS LINE/+1,$$d' >eddep
	echo '$$r makedep' >>eddep
	echo 'w' >>eddep
	cp Makefile Makefile.bak
	ed - Makefile < eddep
	rm eddep makedep
	echo '# DEPENDENCIES MUST END AT END OF FILE' >> Makefile
	echo '# IF YOU PUT STUFF HERE IT WILL GO AWAY' >> Makefile
	echo '# see make depend above' >> Makefile

# DO NOT DELETE THIS LINE
PrefixRange.Plex.o: PrefixRange.Plex.cc PrefixRange.Plex.h std.h Pix.h \
 PrefixRange.defs.h ../config.h ../rpsl/prefix.hh
PrefixRange.XPlex.o: PrefixRange.XPlex.cc PrefixRange.XPlex.h \
 PrefixRange.Plex.h std.h Pix.h PrefixRange.defs.h ../config.h \
 ../rpsl/prefix.hh
SymID.Set.o: SymID.Set.cc ../config.h SymID.Set.h Pix.h SymID.defs.h \
 std.h
SymID.VHSet.o: SymID.VHSet.cc ../config.h SymID.VHSet.h SymID.Set.h \
 Pix.h SymID.defs.h std.h
# DEPENDENCIES MUST END AT END OF FILE
# IF YOU PUT STUFF HERE IT WILL GO AWAY
# see make depend above
